View Issue Details

IDProjectCategoryView StatusLast Update
0032303Open CASCADEOCCT:DRAWpublic2021-09-05 23:24
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032303: Draw Harness - fix compilation issues when using Emscripten SDK
DescriptionDraw Harness fallbacks to X11 implementation on unknown systems, which is unavailable when using Emscripten SDK.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0032308 closedbugmaster Open CASCADE Configuration - make Xlib dependency optional 
parent of 0032232 closedbugmaster Open CASCADE Draw Harness - make Tk dependency optional 
related to 0032322 newkgv Open CASCADE Draw Harness - embed icon into DRAWEXE.exe 
related to 0032433 closedbugmaster Open CASCADE Visualization, TKService - introduce Wasm_Window implementing Aspect_Window interface using Emscripten SDK 
related to 0032464 closedbugmaster Open CASCADE Draw Harness, ViewerTest - rely on AIS_ViewController within vanimation command 

Activities

git

2021-04-17 20:46

administrator   ~0100434

Branch CR32303_0 has been created by kgv.

SHA-1: 047f40911d9e4df3267b59ac30bd265f9e7e9c0f


Detailed log of new commits:

Author: kgv
Date: Mon Mar 22 00:46:34 2021 +0300

    DRAWEXE.html

Author: kgv
Date: Mon Mar 22 00:27:36 2021 +0300

    dversion - add WebAssembly info

Author: kgv
Date: Sun Mar 21 23:26:56 2021 +0300

    OSD_Process::UserName() - do not call getpwuid() within WebAssembly

Author: kgv
Date: Sun Mar 21 20:01:12 2021 +0300

    WebAssembly fixes

Author: kgv
Date: Sat Mar 20 13:10:49 2021 +0300

    0032232: Draw Harness - make Tk dependency optional

Author: kgv
Date: Sat Mar 20 00:31:01 2021 +0300

    Draw Harness - add DRAWBUNDLE executable with pre-loaded plugins

Author: kgv
Date: Sat Mar 20 00:08:50 2021 +0300

    Draw Harness - postpone initialization of global variables

git

2021-04-17 20:55

administrator   ~0100435

Branch CR32303_1 has been created by kgv.

SHA-1: 0865c56c06f266fbe9d84222a914b6c9e1b8d5f8


Detailed log of new commits:

Author: kgv
Date: Mon Mar 22 00:46:34 2021 +0300

    DRAWEXE.html

Author: kgv
Date: Mon Mar 22 00:27:36 2021 +0300

    dversion - add WebAssembly info

Author: kgv
Date: Sun Mar 21 20:01:12 2021 +0300

    WebAssembly fixes

Author: kgv
Date: Sat Mar 20 00:31:01 2021 +0300

    Draw Harness - add DRAWBUNDLE executable with pre-loaded plugins

git

2021-04-25 17:51

administrator   ~0100578

Branch CR32303_2 has been created by kgv.

SHA-1: dff2a0939435b4b9d55d8ec01066d7c9aa104c90


Detailed log of new commits:

Author: kgv
Date: Sun Apr 25 17:51:49 2021 +0300

    0032303: Draw Harness - fix compilation issues when using Emscripten SDK

git

2021-04-25 19:48

administrator   ~0100580

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: f1eb208f1d7cc3aa5860e5cbf6c47006834bfeb8

git

2021-04-29 21:58

administrator   ~0100677

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: 0ea808cda01eb714a0d390e29c7cd043768f91ea

git

2021-04-29 22:12

administrator   ~0100678

Branch CR32303_2 has been updated by kgv.

SHA-1: 49e4abff851cc792b638464c21ef1a818c72bc27


Detailed log of new commits:

Author: kgv
Date: Thu Apr 29 22:13:20 2021 +0300

    Minic "pload" command for statically linked plugins

git

2021-04-30 00:15

administrator   ~0100679

Branch CR32303_2 has been updated by kgv.

SHA-1: ae254beeea7cf921422630effec45910164a588a


Detailed log of new commits:

Author: kgv
Date: Fri Apr 30 00:15:35 2021 +0300

    Preload DrawResources within WebAssembly for DRAWEXE

git

2021-04-30 00:49

administrator   ~0100680

Branch CR32303_2 has been updated by kgv.

SHA-1: 93e846d745c5b7a8c40d108c3230226dc90d5d96


Detailed log of new commits:

Author: kgv
Date: Fri Apr 30 00:50:05 2021 +0300

    Preload init.tcl scripts

git

2021-05-01 12:54

administrator   ~0100731

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: 819c0f8d2ab172bc75f50000457ff20df2220e7f

git

2021-05-01 13:26

administrator   ~0100732

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: c47e08ccba026818315c8b0923f80bf29ed61d4e

git

2021-05-14 19:34

administrator   ~0101004

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: 3b0ef1763d3f1974727bc3bdfb82c0dfe03574df

git

2021-05-17 21:59

administrator   ~0101119

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: 88e6847aceb679d5797a7594c4d031646e54760d

git

2021-05-27 20:54

administrator   ~0101438

Branch CR32303_2 has been updated by kgv.

SHA-1: 50ec4b9698d36a9dc11847b8dfc24ffcc51c1a91


Detailed log of new commits:

Author: kgv
Date: Thu May 27 20:54:42 2021 +0300

    Expose FS interface.

git

2021-06-08 23:54

administrator   ~0101705

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: 19531312869f7d778821e65b7b6f372e3d82a336

git

2021-06-10 00:48

administrator   ~0101735

Branch CR32303_2 has been updated by kgv.

SHA-1: 8ea39443dc9215a908d7f4aff532bf044dcdfbdf


Detailed log of new commits:

Author: kgv
Date: Wed Jun 9 22:35:43 2021 +0300

    Introduce Wasm_Window implementing Aspect_Window interface

git

2021-06-10 01:07

administrator   ~0101736

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: 2cc676727522fe8b687855f1cc87ce2936722748

git

2021-06-10 09:31

administrator   ~0101737

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: c8e327d8ece133672507f80f12a72e10812a5ba9

git

2021-06-10 10:16

administrator   ~0101738

Branch CR32303_2 has been updated by kgv.

SHA-1: 2762c6d24f04870fc4ac8b507cbe9f980401bbdb


Detailed log of new commits:

Author: kgv
Date: Thu Jun 10 10:17:35 2021 +0300

    # touches

git

2021-06-10 10:42

administrator   ~0101739

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: 5d865f9d009edbb131b0e9497ca2bade3c9d5800

git

2021-06-10 10:48

administrator   ~0101740

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: fe0df27e9624b461b1f0c63a0bea7b52a6dd062b

git

2021-06-10 10:57

administrator   ~0101741

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: f9060d0f8a494eae3dfc875b8782782b0d7c702f

git

2021-06-10 11:24

administrator   ~0101744

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: 0bef9520012980fb943656871feacb0e0eb0fe58

git

2021-06-10 11:42

administrator   ~0101747

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: 432feda12466f1b15ded7ebf9e3da67d49d01fe4

git

2021-06-10 11:58

administrator   ~0101748

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: 9d9f784ee194073baf9eb1d25520a2a151d0f164

git

2021-06-10 13:01

administrator   ~0101749

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: 14c56ed7d29b0179cfd881f8e203392311ca7195

git

2021-06-10 19:29

administrator   ~0101759

Branch CR32303_2 has been updated forcibly by kgv.

SHA-1: 8ec7be7ca27c9fee21066cb026145350d11e433e

git

2021-06-10 20:47

administrator   ~0101762

Branch CR32303_2 has been updated by kgv.

SHA-1: 5e69003c6823c3de7cc434eceb4f9deb4543d548


Detailed log of new commits:

Author: kgv
Date: Thu Jun 10 20:48:53 2021 +0300

    AIS_ViewController::FetchNavigationKeys() - request more frames even if Delta is zero, but navigation keys are pressed.

kgv

2021-08-24 15:07

developer   ~0103412

Please switch into VERIFIED state - fixed in scope of related issues.

git

2021-08-24 15:08

administrator   ~0103413

Branch CR32303_1 has been deleted by kgv.

SHA-1: 0865c56c06f266fbe9d84222a914b6c9e1b8d5f8

git

2021-08-24 15:08

administrator   ~0103414

Branch CR32303_2 has been deleted by kgv.

SHA-1: 5e69003c6823c3de7cc434eceb4f9deb4543d548

git

2021-09-05 23:24

administrator   ~0103830

Branch CR32303_0 has been deleted by kgv.

SHA-1: 047f40911d9e4df3267b59ac30bd265f9e7e9c0f

Issue History

Date Modified Username Field Change
2021-04-15 12:40 kgv New Issue
2021-04-15 12:40 kgv Assigned To => kgv
2021-04-15 12:41 kgv Relationship added parent of 0032232
2021-04-17 20:45 kgv Relationship added related to 0032308
2021-04-17 20:46 git Note Added: 0100434
2021-04-17 20:55 git Note Added: 0100435
2021-04-25 17:51 git Note Added: 0100578
2021-04-25 19:48 git Note Added: 0100580
2021-04-26 09:41 kgv Relationship added related to 0032322
2021-04-29 21:58 git Note Added: 0100677
2021-04-29 22:12 git Note Added: 0100678
2021-04-30 00:15 git Note Added: 0100679
2021-04-30 00:49 git Note Added: 0100680
2021-05-01 12:54 git Note Added: 0100731
2021-05-01 13:26 git Note Added: 0100732
2021-05-14 19:34 git Note Added: 0101004
2021-05-17 21:59 git Note Added: 0101119
2021-05-27 20:54 git Note Added: 0101438
2021-06-08 23:54 git Note Added: 0101705
2021-06-10 00:48 git Note Added: 0101735
2021-06-10 01:07 git Note Added: 0101736
2021-06-10 09:31 git Note Added: 0101737
2021-06-10 10:16 git Note Added: 0101738
2021-06-10 10:42 git Note Added: 0101739
2021-06-10 10:48 git Note Added: 0101740
2021-06-10 10:57 git Note Added: 0101741
2021-06-10 11:24 git Note Added: 0101744
2021-06-10 11:42 git Note Added: 0101747
2021-06-10 11:58 git Note Added: 0101748
2021-06-10 13:01 git Note Added: 0101749
2021-06-10 19:29 git Note Added: 0101759
2021-06-10 20:47 git Note Added: 0101762
2021-06-10 22:05 kgv Relationship added related to 0032433
2021-08-24 15:07 kgv Note Added: 0103412
2021-08-24 15:07 kgv Assigned To kgv => bugmaster
2021-08-24 15:07 kgv Status new => feedback
2021-08-24 15:07 kgv Resolution open => fixed
2021-08-24 15:07 kgv Status feedback => reviewed
2021-08-24 15:08 git Note Added: 0103413
2021-08-24 15:08 git Note Added: 0103414
2021-08-26 20:58 bugmaster Test case number => Not required
2021-08-26 20:58 bugmaster Status reviewed => verified
2021-08-27 09:09 kgv Relationship added related to 0032464
2021-09-05 23:24 git Note Added: 0103830